Table of Contents

## Name

XtGetClassExtension - locate a class extension record

## Syntax

XtPointer XtGetClassExtension(WidgetClass object_class, Cardinal
  byte_offset, XrmQuark type, long version, Cardinal record_size);

## Arguments

object_class
  Specifies the widget class containing the extension list to be searched.
byte_offset
  Specifies the offset in bytes form the base of the widget class of the extension field to be searched.
type
  Specifies the name of the class extension to be located.
version
  Specifies the minimum acceptable version of the class extension required for a match.
record_size
  Specifies the minimum acceptable length of the class extension record required for match, or 0.

## Description

The list of extension records at the specified offset in the specified widget_class will be searched for a match on the specified type, a version greater than or equal to the specified version, and a record size greater than or equal the specified record_size if it is nonzero. XtGetClassExtension returns a pointer to a matching extension record or NULL if no match is found. The returned extension record is owned by the widget class and must not be modified or freed by the caller, except possibly to be modified by the widget class owner.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also